## Snoop Project

********
*v1.4.1a*
********
* (a) Убрана страница донатов CloudTips. Build-версия 'snoop_cli' для GNU/Linux переименована в 'snoop_cli.bin'
и другие незначительные некоторые изменения.

* Расширена поисковая web-base Snoop ↑ 4200+ сайтов.

* Улучшен алгоритм агрессивного режима поиска: опция "--quick/-q" в Snoop for Windows.
(ускорение поиска составляет от 5% до 200% в зависимости от версии Windows и производительности ПК, снижено потребление ОЗУ).

* В snoop full version добавлена новая опция: '--pool/-p': отключить автооптимизацию и задать вручную ускорение поиска
(эта опция персональна и способна разогнать поиск в Snoop full version до высоких скоростей).

* В блок 'snoop info' опции '--version/-V' добавлен предварительно расчетный параметр. "Recommended pool".

* Исправлена дозапись "bad_username's" в файл "bad_nicknames.txt"
(snoop мог иногда путаться откуда считывал невалидные username's из файла или CLI).

* Обновлен формат дат в CLI/отчетах согласно международному стандарту ISO 8601
(гггг-мм-дд).
===================================================================================

*********
*v1.4.0a*
*********
* (a) Расширены оповещения о Bad_raw. Документация Snoop Project оформлена и выложена под свободной GNU FDL лицензией.
Обновлены реквизиты приёма платежей
(Qiwi/PayPal в РФ больше не работают и были убраны. Добавлен способ оплаты по СБП. Добавлена страница донатов CloudTips).

* Расширена поисковая web-base Snoop ↑ 3700+ сайтов.

* Ускорен поиск в Snoop for GNU/Linux ~ на 140% т.е. почти в 2.5 раза!
(при скорости интернет соединения не менее 12 Мбит/с поиск 'username', используя БД Snoop full версии, в quick-режиме '--quick/-q'
длится менее 1-й минуты).

* Ускорен запуск Snoop Project build version на старых ПК с OS Windows/HDD.

* Добавлен новый и умный алгоритм автоопределения явно не указанных/проблемных/перепутанных кодировок сайтов
при поиске в различных режимах.

* Добавлено больше информативности в CLI при поиске по сокращенной БД, используя опции фильтры: '--site/--exclude/--include'
(кол-во веб сайтов при сужении поиска отображается в квадратных скобках справа от общего кол-ва сайтов БД).

* Изменен порог оповещения о Bad_raw: поднят c 2% до 2.5%.

* Форматирование. Улучшено стилизирование инфострок в CLI на небольших/сжатых по размеру терминалах, например, в CLI Termux на Android
(добавлены авто отступы строк с учетом пользовательского CLI-окружения). Переработан внешний вид премиальных предложений,
которые действуют для всех пользователей Snoop full version.

* Обновлен HTML-репорт:
  1) изменены стили кнопок;
  2) добавлена подсветка, увеличение строки из списка websites при наведении курсора, двигаясь по списку при выборе ресурса сложно теперь промахнуться;
  3) удалена дублирующая строка/тавтология о том, на скольких ресурсах найден 'username';
  4) в Snoop demo version добавлена парочка упоминаний об использовании demo версий/просьба о пожертвовании на развитие проекта/full;
  5) увеличена визуальная составляющая группировки флагов стран;
  6) добавлено отображение title(s) саундтреков при наведении на них курсора.

* Исправлено автотестирование сети в режиме вербализации '--verbose/-v' в случае, когда тесты иногда проваливались из-за отказа
некоторых серверов принимать соединение по незащищенному каналу.

* Во всех версиях Snoop убран звук из CLI
(звуковые оповещения об ошибках и об окончании поиска).

* К Snoop full version добавлены light сборки, позволяющие запукать ПО почти мгновенно.

* Android. Немного ускорен поиск в режиме вербализации.

* Android. Если пользователь предпочитает открывать html-отчеты вручную и из своего GUI ФМ, то теперь подтягиваются и все стили.

* Обновлены плагины 'GEO_IP/domain' и 'ReverseVgeocoder' до новых версий. Расширена визуализация данных в html-отчетах в Snoop full версиях,
в частности добавлены:
  1) чекбокс фильтрации данных по странам;
  2) графики со статистикой по странам, регионам, объектам, провайдерам;
  3) новый слой — топокарты, меняется по клику/свайпу;
  4) режим переключения в полный экран;
  5) авто отображение координат в любой точке на карте;
  6) масштаб линейки;
  7) памятка, отображающая статистику по InvalidData;
  8) copyright;
  9) поиск;
  10) в плагине 'ReverseVgeocoder' увеличен масштаб покрытия/точности от 10-100 раз по округам/объектам в RU; EU и CIS локациях.

! Для того чтобы воспользоваться всеми обновлениями, если ранее пользователь уже пользовался старыми сборками Snoop, то нужно сбросить кэш (разовая операция):  
$ snoop_cli --autoclean  
если пользователь предпочитал использовать Snoop в исходной форме, обновить библиотеки:  
$ cd ~/snoop && python3 -m pip install -r requirements_android.txt  #Android;  
$ cd ~/snoop && python3 -m pip install -r requirements.txt  #Desktop.
===================================================================================

********
*v1.3.9*
********
* Расширена поисковая web-base Snoop ↑ 3500 сайтов.

* Исправлена утечка памяти, которая затрагивала пользователей Snoop version for Windows.

* Исправлено падение Snoop при сохранении отчетов с опцией "--save-page/-S" в крайне-редких случаях
(например, если сайты намеренно вредили парсингу или в своём исходном коде содержали неподдерживаемые символы в заявленной кодировке.
За отчёт спасибо подписчику из Сербии, ранее он уже присылал информацию по найденным багам).

* В режим вербализации опция "--verbose/-v" добавлена новая метрика: отслеживания доступной/потребляемой памяти RAM.

* Ускорен вывод на печать сайтов из "dynamic gray list" и недопустимые/кириллица "nickname(s)" на определенных сайтах
(оптимизация актуальна для пользователей Snoop for Windows full версий).

* В ПО Snoop Project добавлена пасхалка, связанная с поиском особых nickname(s).

* Спрятаны редко-используемые опции из help-a: "--cert/-C" и "Headers/-H" чтобы не загромождать справку
(опции продолжают работать если их задействовать, описание ключей осталось в документации и readme).

* Во все отчёты добавлен "copyright".

* Слиты ветки "snoop_termux" и "master", немного изменилась инструкция по установке Snoop на Android/Termux
(код синхронизирован, экономия дискового пространства и упрощение дальнейшей разработки/поддержки кодовой базы.
Для получения обновлений из "source code" пользователи Snoop for OS Android/Termux должны сделать
"git checkout master" или "git clone" по-новому).

* Объединены флаги государств Kb/WR
(WR — означает весь мир. Kb — ранее означало "киберпанки", обычно это форумы где общение проходит на EN-языке,
но в условиях использования или политике конфиденциальности/обратной связи не указана локация).

* Обновлена документация.

* Мелкие визуальные улучшения.
===================================================================================

********
*v1.3.8*
********
* Расширена поисковая web-base Snoop ↑ 3000+ сайтов.

* Исправлены баги в редких случаях:
  1) поиск nickname с опцией сохранения отчетов 'snoop_cli -S username', если при поиске на "плохом" ресурсе username найдено,
но на сервере указана несуществующая кодировка или кодировка с опечаткой, то при сохранении страницы она ломала автоопределение
кодировки в snoop;
  2) при поиске nickname мультипроцессинг на Snoop for GNU/Linux full версии мог и крашился
(почти невозможно было воспроизвести проблему, спасибо за отчёты подписчику Snoop full версии из Сербии).

* Расширен шаблон запрещённых символов при поиске nickname, например, китайский алфавит и др. символы, отличные от латиницы, кириллицы, цифр, некоторых спец.символов — теперь недозволен.

* При использовании опции '-u/userlist' (загрузка nickname(s) из файла) в cli-отчёт добавлена промежуточная таблица: short nickname(s)
(также файл 'bad_nicknames.txt' обновляется если не только в CLI были введены 'неправильные' nickname, но и выгружены из файла:
формат 'bad_nicknames.txt' выглядит следующим образом:: дата/время/неправильный nickname из файла/или из CLI/bad_username.

* Яндекс присоединился к интернет-цензуре и теперь письма с его домена не отправляются в международную почтовую службу 'protonmail'
(для пользователей зарегистрированных в 'яндекс/mailru', которые ранее не могли связаться с разработчиком по электронке, в оферту
и документацию Snoop добавлена дополнительная нецензурируемая почта для запросов и предложений).

* Изменены условия предоставления Snoop full версии для студентов: скидка на ПО составляет теперь 50%, ранее подписка стоила 0р
(также обновлены реквизиты сберкарты).

* Добавлены Readme на Испанском; Китайском; Французском и Немецком языках.
===================================================================================

********
*v1.3.7*
********
* Расширена поисковая web-base Snoop до 2700 сайтов.

* Android. Ускорен поиск snoop на Termux ~ на 200%
(требуется обновление Termux и обновление Python до версии 3.11, либо установка пропатченного python 3.7-3.10 из
tur-repo, в крайнем случае сохранена обратная совместимость и небыстрый поиск).

* Android. [Из-за специфичной локали в Termux] если пользователь ищет ник, например, на кириллице,
то лишь в html результатах ник будет переименован, как 'nickname_ч_м_г_время', мера необходима для корректного
автооткрытия результатов поиска в вэб-браузере, txt/csv отчёты не затронуты.

* Переработана и улучшена интеллектуальная логика поиска. Snoop в большинстве случаев не делает повторные запросы
на зацензурированные ресурсы внешней стороной или внутренним регулятором
(экономия времени при поиске, в противном случае, ресурсы были бы потрачены впустую, актуально в Full-версиях).

* Улучшено детектирование трёх групп сайтов:
  1. исключаются ошибки ложного сраб. при поиске, если проблемы с серверами или они на ТО, затрагивает ~50% БД snoop;
  2. больше результатов при поиске на сайтах, которые давно заброшены или имеют проблемы с безопасностью;
  3. расширен формат БД Snoop для манипуляций с редкими проблемными кодировками/сайтами, например, когда сервер
возвращает/не возвращает одну кодировку, а в тегах присутствует другая.

* Исправлен подсчёт % Bad_raw при любых манипуляциях с БД Snoop, а также учитываются сайты из Dynamic gray_list
(дефолтная локальная БД; скачанная БД; синхронизированная онлайн БД; сокращённые БД с ключами '-s', '-i', '-e').

* Добавлена проверка опечаток: nickname не может быть короче 3-х символов
(если пользователь опечатался, например, при наборе ключа '-s': "$ snoop_cli - s ebay username", поведение ранее
вызвало бы поиск сразу чётырёх nickname(s) по всей БД snoop:: '-', 's', 'ebay' , 'username' вместо поиска
одного username на одном указанном ресурсе — ebay.com).

* Добавлена новая опция поиска: режим '--quick', которая ускоряет общий поиск
(подробнее о новом режиме поиска в '--help', quick-режим актуален для Full-версий, при слабых мощностях, OS Windows).

* Переработана кодовая база некоторых частей ПО, в проекте стало меньше сторонних lib-зависимостей.

* Косметические изменения в ПО
(удалена опция 'Normal'; переименована опция "one-level" в "include"; опция удаления отчетов теперь выводит баннер и
запрашивает подтверждение на удаление; логгирование low/high ошибок стало более информативным;
расширен блок snoop-info; при поиске nickname и получения ошибок в CLI, связанных с Internet Censorship/ssl,
справа от ресурса появляется буквенный код страны, например, если у пользователей из РФ-локации очень часто возникают
ошибки на UA-ресурсах, это значит, что "слон в комнате"; поддержать проект теперь можно и с помощью QIWI;
поправлены print-опечатки и смысловые конструкции).
===================================================================================

********
*v1.3.6*
********
* Обновлен плагин GEO_IP/domain. При несуществующей или ненайденной цели ПО автоматически прерывает программу
(на некоторых версиях Android Snoop мог неожиданно подвисать на ~минуту. Обновлён прядильщик: вращающаяся планета).

* Значение опции "-t" timeout по умолчанию при поиске "nickname" поднято до 9 сек.
(прошлое значение = 5 сек. Причина: увеличение БД snoop demo).

* При поиске "nickname" добавлены повторные соединения на сбойные ресурсы
(при некоторых неудачных попытках коннекта отправляются повторные запросы,
частичный функционал перешёл из Full версий).

* Комбинация клавиш: "ctrl + c" — теперь одинаково хорошо прерывает работу ПО во всех версиях Snoop и на разных OS.

* Поиск "nickname" на Snoop for GNU/Linux в demo стал быстрее по сравнению с поиском Snoop for Windows demo
(частичная функциональность перешла из Full версий).

* Опция "-С" сделала реверс на Snoop for Android.
(при поиске "nickname" проверка сертификатов по умолчанию отключена теперь везде в т.ч. и на OS Android,
эффект — меньше ошибок на проблемных сайтах. Пример воспроизведения проблемы с "плохим сайтом":
$ snoop_cli -s forumkinopoisk nickname123321 -C
в ранних версиях Python отключение "проверки сертификатов" лишь на Snoop for Android вызывало замедление поиска).

* Спрятана опция "--base" в "snoop --help"
(самая редко-используемая опция спрятана для того, чтобы не загромождать "help").

* Блок snoop-info, опция "snoop -V" подсвечивает параметр RAM, когда программы на ПК/смартфоне захватили "всю" память
(если Snoop считает, что для нормальной работы ему недостаточно ОЗУ, на разных ОС эти значения неравны,
то подсвечивает доступную RAM в OS красным цветом).

* Незначительные косметические изменения.

* Обновлена документация: 'Общее руководство Snoop Project.pdf'.
===================================================================================

********
*v1.3.5*
********
* Обновлён плагин GEO_IP/domain. Старый метод проверки ip/доменов сломался и был заменён на три новых.
В случае неисправности одного метода подхватывается следующий. В логике обновлены проверки и добавлен прядильщик.

* В build-версиях обновлены некоторые библиотеки, могут выявиться неожиданности (см snoop_cli -V).

* Build-версии 'snoop' переименованы в 'snoop_cli'
(для тех пользователей, кто не читал документацию и пытался запускать 'snoop' из домашнего каталога в GNU/Linux).

* Сокращено время на установку Snoop на Android (Termux) в несколько раз.
===================================================================================

********
*v1.3.4*
********
* Расширена поисковая web-base Snoop > 2600+ сайтов, 54% из которых в ru-зоне.

* Динамические временно-отключённые веб сайты из "Graylist" отображаются теперь в файле "Websites.md": метки (g. l.).

* Aвтооткрытие результатов во внешнем веб браузере налажено на всех версиях Android без правок конфига
(детектирование дистрибутивов Android ("snoop -V -> snoop info" и автооткрытие результатов поиска в "HTML Viewer").

* Исправление для создания табличных csv-отчётов на ОС Windows для локалей/кодировок отличных от RU (issues/61).

* Обновлены плагины Reverse Vgeocoder & GEO_IP/domain: всплывающие окна маркеров стали более информативными
(full-версии).

* Удалены и больше не поддерживаются английские snoop build версии
(removed and no longer supported English snoop build versions).

* Мелкие исправления.
===================================================================================

********
*v1.3.3*
********
* Добавлены в архивы видео-подсказки по быстрому запуску snoop для пользователей новичков, которые не работали с CLI
(issues/48).

* Добавлен txt-отчет: файл 'bad_nicknames.txt' в который записываются пропущенные дата/nickname(s)
(недопустимые ники/телефоны/некоторые_спецсимволы, обновляя файл в режиме дозаписи при поиске, например с опцией '-u'.

* Добавлен режим корректного останова ПО с высвобождением ресурсов для разных версий/платформ Snoop Project (ctrl+c).

* Добавлена новая опция '--headers' '-H': задать вручную пользовательский user-agent.
По умолчанию на каждый сайт создается рандомный, но реальный юзерагент или выбирается/переопределяется из БД Snoop
с расширенным заголовком для обхода некоторых 'защит CF'.

* Добавлена snoop-заставка и некоторые эмодзи, когда nickname(s) для поиска не заданы или выбраны
противоречивые параметры в аргументах CLI
(исключение: snoop for Windows OS — старая CLI OS Windows 7).

* Добавлены различные инфо-панели: отображение БД '--list-all'; режим verbose; новый блок 'snoop-info' с опцией '-V';
с опцией -u разделение на группы nickname(s): валидные/невалидные/дубликаты; в CLI Yandex_parser-a (full-версии).

* Обновлён режим поиска с опцией '--userlist' '-u' расширен алгоритм детектирования nickname(s)/email
(просто попробуйте его использовать снова).

* Ускорен вывод БД в CLI для методов опции '--list-all' [1/2].

* Для Snoop for Termux (Android) добавлено авто-открытие результатов поиска во внешнем браузере
без перекрытия результатов в CLI
(по желанию пользователя открытие результатов во внешнем веб-браузере можно проигнорировать).

* Обновлен внешний вид вывод результатов в CLI при поиске nickname(s). Обновлен вывод лицензии в стиле Windows XP. 
Обновлен прогресс (ранее прогресс обновлялся по мере поступления данных и из-за этого казалось, что ПО подвисает в
full-версиях). Прогресс обновляется несколько раз/сек. или по мере поступления данных в режиме вербализации.

* В html-отчеты добавлена новая кнопка 'Doc', ведущая на документацию 'Общее руководство Snoop Project.pdf'/онлайн.

* В txt-отчеты также, как и в html/csv-отчеты добавлен параметр 'сессия'.

* Обновлены все опции Snoop Project ближе к POSIX (см snoop --help).
Старый вариант использования аргументов в CLI с подтверждением [y] обратно совместим.

* Обновлён Yandex_parser до v0.5: убрано сервис Я.коллекции (ресурс неактивен).
Добавлен Я.аватар: login-a/email. В многопользовательский режим в txt/cli/tml-отчёты добавлены/обновлены метрики:
'валидные_логины/незареганные_пользователи/необработанные_данные/дубликаты', метки логинов.

* Подкаталоги сохраненных отчетов/результатов группируются: plugin(s) в один каталог, nickname(s) в другой.

* Исправлен корректный выход из ПО при попытке протестировать сеть при её отсутствии/сбое с опцией '-v'.

* Исправлено в CLI: индив.сессия/трафик/время при поиске в одной сессии нескольких имен
с опцией '-u' и/или с опцией '-v'.

* Исправлено в csv-отчетах: время отклика сайта разделяется 'верным дробным знаком'::
точка или запятая с учетом локали пользователя (т.е. число в таблице всегда цифра независимо от дробного знака,
что прямо влияет на сортировку результатов по параметру).
Данные ниже 1 Кб округляются точнее, свыше 1 Кб без дробной части. Общее время (было в мс., теперь в сек.сот).
При сохранении отчетов с опцией '-S' или в обычном режиме для сайтов,
использующих специфичный метод детектирования nickname(s):
(username.salt) теперь также подсчитывается размер данных сессии.

* Миграция build-версий Snoop Project с python3.7 на python3.8 (кроме EN-версий).
===================================================================================

********
*v1.3.2*
********
* Расширен формат БД: добавлен параметр "grey_list" динамические сайты временно отключенные.
(в csv-отчеты записываются статусы о временно отключённых сайтах, 
с опцией "--verbose", "-v" информация о сайтах из grey_list отображается и в CLI).

* Для Snoop build-версий добавлен прядильщик при синхронизации локальной и удаленной БД
(при синхронизации/обновлении БД всплывает временно анимированное сообщение: 'синхронизация с БД онлайн').

* По просьбе донатера обновлена опция отображение детальной информации о БД snoop: "--list all" до сокращения "-l y".

* Добавлена новая опция "--exclude", "-e RU" исключить из поиска выбранные регионы, например, "wr" — мир
(допустимо использовать опцию несколько раз '-e ru -e us'. Опция регистронезависимая, информация о флаге страны
отображается в cli и записывается во все отчеты. Несуществующие, выбранные регионы подсвечены в CLI красным цветом).

* Добавлена опция "--one-level", "-o UA" включить для поиска конкретные регионы
(допустимо использовать опцию несколько раз, например, поиск только по Украинским и Белорусским сайтам '-o UA -o BY'.
Опция — регистронезависимая, информация о флаге страны также добавляется в cli и во все отчеты, 
несуществующие, выбранные регионы подсвечены в CLI красным цветом).

* Опция "--site", "s" выводит теперь и сообщения, если желаемый для поиска сайт замечен в БД full-версии,
но отсутствует в БД Demo-версии.

* Поправлены права на документацию в архивах: 'Общее руководство Snoop Project.pdf'.
(с 755 на 644).

* Обновлена справка в ПО 'snoop --help'.

* Мелкие и незначительные улучшения в кодовой базе.
===================================================================================

************
*v1.3.1 (A)*
************
* Расширена поисковая web-base Snoop > 2200+ сайтов.

* Добавлено в html/csv-отчёты и в CLI параметр: 'сессия':: обработанные данные трафика (ungzip)
в целом и персонально для каждого сайта
(с опцией '-v' визуально в CLI; новый столбец 'Сессия/Kb' в csv-отчёте; 'сессия' в html-отчёте).

* При превышении стандартных параметров Internet Censorship
в общий вывод-CLI добавлена информация о пропуске: err БД в '%'.

* Обновлён плагин Yandex_parser до v0.4 
(пропуск обработки данных несуществующих username в БД Яндекса).

* Изменены пути записи отчётов для Snoop for Windows (issues/49).

* Обновлены права Snoop for GNU/Linux build-версий с 744 на 644 (issues/50).

* Изменена utf-8 кодировка csv-отчётов на автоматический выбор кодировки (для OS Windows: 1251).

* В аргументах CLI обновлён ключ: '--update y' до сокращения '-U y'.

* Вывод информации о БД Snoop опции [--list all] и в файле websites.md сортируются без учёта регистра.

* Add Readme.en.

* Продлена лицензия необновляемой Snoop EN-версии на год.

* Обновлена документация: 'Общее руководство Snoop Project.pdf'

* Мелкие и незначительные улучшения в CLI.
===================================================================================

********
*v1.3.0*
********
* Расширена поисковая web-base Snoop > 2000+ сайтов.

* Обновлено меню справки, аргументы сгруппированы по смыслу.

* Добавлена новая опция '--autoclean': автоудаление накопленных отчетов.

* Обновлена функция самодиагностики сети.

* Для Snoop Full версий добавлены премиальные предложения по окончанию действия лицензии.

* Обновлено отображение в отчетах локальной или web БД с учетом выбора БД при поиске.
===================================================================================

********
*v1.2.9*
********
* Переработан и обновлён информативный вывод, Snoop стал выглядеть еще более презентабельнее.
(Изменённый внешний вид (особенно/теперь) будет заметен у пользователей Snoop for Windows,
многие вещи будут автоматически подгоняться под размеры консоли для всех ОС).

* К прогрессу добавлены параметры: прядильщик и истёкшее время.

* По просьбе донатера обновлена опция '-f': 'вывод на печать только найденных аккаунтов'
(ранее опция '-f' выводила найденные аккаунты и оповещения капчи/err, служебные и 
пользовательские оповещения в этом режиме теперь подавляются).

* Обновлена опция '-v' - подробная вербализация
(вывод стал более читабельным).

* Все плагины Snoop обновлены до следующих версий
(исправлены некоторые ошибки, связанные со специфичными путями и спецсимволами,
убран 'Я Район' из плагина 'Yandex_parser' по причине закрытия сервиса. В плагине GEO_IP/domain
добавлен режим 'Offline_тихий поиск', в таблицы добавлена сортировка по значениям).

Изменения коснулись всех версий Snoop 6 из 10 программ (Snoop for Termux/Source;
Windows/Linux/Demo/Full/RU/Build) кроме EN версий. Дальнейшая поддержка и развитие EN версий
прекращено (Последние версии Snoop/EN/Build v1.2.8).
===================================================================================

********
*v1.2.8*
********
* Ускорен поиск по 'username' ~ на 100% для Snoop for Termux.

* Расширена поисковая web-base Snoop > 1500+ сайтов.
===================================================================================

********
*v1.2.7*
********
* Обновлён плагин Reverse Vgeocoder до v0.2
(добавлен метод геокодирования: 'Подробный'. В данный метод включено:
все маркеры подписаны геометками; странами; округами и городами. 
Добавлены статистические отчёты {с расширенной геоинформацией, а также расчётом
количественной информацией процентного соотношения}, которые сохраняются с
подробностями в [txt.html.csv] форматах. Добавлены: статус-бар; процент выполнения 
геокодирования. Подробнее о плагине в справке или документации).

* Обновлён плагин Yandex_parser до v0.2
(Добавлен поиск и связь по сервису 'Яндекс_отзывы').
===================================================================================

********
*v1.2.6*
********
* Расширена поисковая web-base Snoop > 1400+ сайтов.
===================================================================================

********
*v1.2.5*
********
* В Snoop Project добавлен плагин: 'Yandex_parser'
(подробнее о плагине в справке или документации).

* Расширена поисковая web-base Snoop до 1349 сайтов.
===================================================================================

********
*v1.2.4*
********
* В Snoop Project добавлены два плагина: 'GEO_IP/domain' и 'Reverse Vgeocoder'.
(вызов плагинов, например, для сборки Snoop for Windows 'snoop.exe --module y'.
  1. Плагин 'GEO_IP/domain' позволяет работать с IPv4/v6/domain/url в качестве цели,
предоставляет статистические и визуализированные отчёты в CLI/txt/csv/maps.
  2. Плагин 'Reverse Vgeocoder' простенький обратный геокодер).
Подробнее о плагинах в справке или документации Snoop Project.

* Для Snoop for Termux создана отдельная ветка.
(Snoop for Termux имеет программные ограничения и не может работать с одним
плагином: Reverse Vgeocoder).

* Расширена поисковая web-base Snoop до 1330 сайтов.
===================================================================================

********
*v1.2.3*
********
* Добавлена опция '--cert-on, -C'.
(Вкл проверку сертификатов на серверах. По умолчанию проверка сертификатов на
серверах отключена, что даёт меньше ошибок и больше положительных результатов при
поиске "username". Пример: website:: 'Forumkinopoisk' с "проблемным" сертификатом).

* Расширена поисковая web-base Snoop до 1220 сайтов.
===================================================================================

********
*v1.2.2*
********
* Для Snoop for GNU/Linux добавлен режим 'SNOOPninja'.
(Режим поиска 'SNOOPninja' активирован по умолчанию в Snoop Full Version:
ускорение поиска ~25% (в тандеме с опцией '--no-func' поиск ускоряется на ~50%);
экономия ОЗУ ~50%; повторные 'гибкие соединения' на 'сбойных' ресурсах).
Для Snoop for Windows добавлена возможность:
(повторные 'гибкие соединения' на 'сбойных' ресурсах).

* Добавлена опция для Snoop for GNU/Linux Full version: '--normal, -N':
(смена режима:: SNOOPninja > нормальный режим поиска).

* В Snoop Full Version опция '-s' стала совместима с опцией '-w':
(можно подключиться к обновляемой Snoop web_database online и произвести поиск на
определённом выбранном website с учётом обновления базы Snoop).

* В Snoop Full Version добавлена возможность персональных и глобальных оповещений.

* Расширена поисковая web-base Snoop до 1200+ сайтов.

* Мелкие исправления:
(улучшена обработка исключений; правки в информативном выводе; облегчена кодовая база;
повышена стабильность приложения:: ПО не перезапускается при разрывах соединения;
сочетание опций '--web-base' и '--country' больше не вызывает конфликтов).
===================================================================================

************
*v1.2.1_rus*
************
* English versions added.
(EN Snoop for GNU/Linux and EN Snoop for Windows).

* Добавлены в БД новые ресурсы.
(В БД Snoop Full version > 1.1k websites).

* Добавлена опция для Snoop Full version: '--web-base, -w'.
(Подключиться для поиска 'username' к обновляемой и расширяемой) web_БД (Online).

* Поправлена опция '--save-report, -S'.
(При выгрузке данных кодировка выбирается автоматически верная.
Сохранённые некоторые 'проблемные' странички теперь не нужно конвертировать).

* Snoop versions Source и Demo уравнены в правах.
(Snoop Full version вышла на новый уровень).

* К вербализации добавлено самотестирование сети в CLI.
($ python3 snoop.py -v username).

* Обновлена опция '--list all'.
(Визуализация/сравнение full/demo БД).

* В Snoop Full version ускорен поиск на мощных ПК ~20%.
(Весь поиск длится < 100с.).

* В CLI обновлён информативный вывод: 'прогресс поиска'. Добавлены:
(статус-бар; процент выполнения; предварительное расч.время до завершения поиска).
===================================================================================

************
*v1.2.0_rus*
************
* Добавлена новая опция '--save-report', '-S'.
(При активации опции — идет выгрузка данных: сохраняются страницы
найденных аккаунтов в HTML формате).

* Добавлены новые user agent-ы. При поиске agent выбирается рандомный.
(Некоторые сайты отдают предпочтения (стабильные ответы) между человеком/роботом).

* Опция '--time', '-t' принимает значение по умолчанию: = 9 секунд.
(При хорошем интернет соединении этого времени достаточно, при слабом
соединении опция '-t' доступна для изменения).
===================================================================================

************
*v1.1.9_rus*
************
* Добавлены в БД новые ресурсы.
(В БД > 1k websites).

* Слиты ветки в одну termux и master.

* Специально для Snoop записаны два soundtrack-a в жанре cyberpunk.
(Автор: Metelkin Viktor, трек:: for snoop in cyberpunk.mp3.
Автор: Zed Badley, трек:: Megapolis (remix).mp3).
===================================================================================

************
*v1.1.8_rus*
************
* Блокировка/коррекция бессмысленных запросов.
(Номера телефонов — фильтруются; e-mails — корректируются).

* Добавлена возможность поиска username c пробелом.
($ python3 snoop.py "ivanov ivan")

* Добавлен новый метод детектирования username.salt.

* Исправлена метрика времени/ошибок опции '--verbose'.

* Обновлён HTML-формат.
(Chrome потребляет больше ресурсов, чем другие браузеры).

* Убрана опция '--csv'.
(Результаты 'username.csv' с расширенной метрикой пишутся теперь по умолчанию).

* Добавлены в БД новые ресурсы.
(В БД > 800 websites).

* Утрата нескольких интернет-ресурсов.
===================================================================================

************
*v1.1.7_rus*
************
* Обновлён информативный вывод.

* Добавлены в БД новые ресурсы:
===================================================================================

************
*v1.1.6_rus*
************
(В БД > 650 websites).

* Добавлены в БД новые ресурсы:
===================================================================================

************
*v1.1.5_rus*
************
* Обновлён информативный вывод с учётом Internet Censorship.

* Поддержка инфовывода на OS Windows.

* Мелкие исправления.
===================================================================================

************
*v1.1.4_rus*
************
* Улучшена визуализация БД Snoop при помощи опции '--list all'.

* Добавлены в БД новые ресурсы:
===================================================================================

************
*v1.1.3_rus*
************
* В html теперь доступна сортировка результатов: — по странам.
(Сортировка по умолчанию: — по алфавиту имён websites.
Высокая визуализация результатов поиска; визуализация БД по опции '--list all').

* Добавлены новые опции: '--country; -с' и '--userload; -u'.
('--country; -с' — во время поиска в CLI (GNU/Linux/Termux) выводятся отсортированные флаги государств.
Результаты сортируются по странам, а не по алфавиту websites и сохраняются в html).
(--userload; -u' — указать файл.txt с именами разыскиваемых пользователей).

* Изменены/отредактированы основные опции.

* Добавлены в БД новые ресурсы:

* Почищена БД от дубликатов.
(В БД > 500 websites).
===================================================================================

************
*v1.1.2_rus*
************
* Улучшена навигация по работе с html.

* Улучшен алгоритм детектирования.
(Меньше ложных результатов на кириллическом username).

* Результаты поиска отсортированы по расширению.

* Добавлены в БД новые ресурсы:
===================================================================================

************
*v1.1.0_rus*
************
* Добавлен формат 'html'.
Анализировать положительные результаты поиска теперь можно прямо в браузере.
Web browser с результатами поиска открывается после завершения поиска username.

* Опция [--no-func, -n] отключает цвета/звук/браузер.

* Результаты поиска сохраняются в каталоге 'results'.

* Поправлены опции Snoop для работы на OS Windows.

* Функция обновления Snoop работает теперь и на OS Windows, проверено на win7/32.
(Требуется ПО Git)
===================================================================================

************
*v1.0.6_rus*
************
* Добавлена отдельная ветка Termux (Android) для Snoop.

* В основную ветку master (GNU/Linux) для Snoop добавлен звук.
$ pip3 install playsound

* Опция '-n' отключает и цвета в терминале и звук (GNU/Linux).

* В ЧС добавлен сайт с медленным ответом (Zomato).
===================================================================================

************
*v1.0.4_rus*
************
* Мелкие исправления и улучшения.

* Поправлены некоторые ответы от websites.
===================================================================================

************
*v1.0.2_rus*
************
* Добавлена возможность запускать Snoop на OS Windows с ограничением функционала.
===================================================================================

************
*v1.0.0_rus*
************
Обновлена лицензия.

* Добавлено огромное кол-во новых websites (в том числе, благодаря манипуляции HTTP-заголовками):
для сравнения Sherlock на GNU/Kali Linux/Parrot ищет по — 198 сайтам, Snoop ищет по — 337 сайтам.

* Добавлены новые опции:
[--list; --update; --sort; --donate; переработана опция --version].

* Snoop Project — русифицирован.

* Добавлен тестовый файл "example_data.json" для внесения своих новых websites в БД.

* Изменен user-agent на более популярный.

* Убраны из БД некоторые недоступные для Snoop сайты, которые затормаживали работу ПО.

* Обновлён информативный вывод в CLI и в файле сохранения "username.txt".
===================================================================================
